pam_ssh_agent_auth-0.10.3-2.16.el7.i686.rpm


Advertisement

Description

pam_ssh_agent_auth - PAM module for authentication with ssh-agent

Property Value
Distribution CentOS 7
Repository CentOS x86_64
Package name pam_ssh_agent_auth
Package version 0.10.3
Package release 2.16.el7
Package architecture i686
Package type rpm
Installed size 425.50 KB
Download size 224.98 KB
Official Mirror mirror.centos.org
This package contains a PAM module which can be used to authenticate
users using ssh keys stored in a ssh-agent. Through the use of the
forwarding of ssh-agent connection it also allows to authenticate with
remote ssh-agent instance.
The module is most useful for su and sudo service stacks.

Alternatives

Package Version Architecture Repository
pam_ssh_agent_auth-0.10.3-2.16.el7.x86_64.rpm 0.10.3 x86_64 CentOS
pam_ssh_agent_auth - - -

Requires

Name Value
libc.so.6(GLIBC_2.17) -
libcrypt.so.1 -
libcrypto.so.10 -
libcrypto.so.10(OPENSSL_1.0.1_EC) -
libcrypto.so.10(libcrypto.so.10) -
libnss3.so -
libpam.so.0 -
libpam.so.0(LIBPAM_1.0) -
libresolv.so.2 -
libselinux.so.1 -
libutil.so.1 -
rtld(GNU_HASH) -

Provides

Name Value
pam_ssh_agent_auth = 0.10.3-2.16.el7
pam_ssh_agent_auth(x86-32) = 0.10.3-2.16.el7

Download

Type URL
Binary Package pam_ssh_agent_auth-0.10.3-2.16.el7.i686.rpm
Source Package openssh-7.4p1-16.el7.src.rpm

Install Howto

Install pam_ssh_agent_auth rpm package:

# yum install pam_ssh_agent_auth

Files

Path
/usr/lib/security/pam_ssh_agent_auth.so
/usr/share/licenses/pam_ssh_agent_auth-0.10.3/OPENSSH_LICENSE
/usr/share/man/man8/pam_ssh_agent_auth.8.gz

Changelog

2017-11-24 - Jakub Jelen <jjelen@redhat.com> - 7.4p1-16 + 0.10.3-2
- Fix for CVE-2017-15906 (#1517226)
2017-11-06 - Jakub Jelen <jjelen@redhat.com> - 7.4p1-15 + 0.10.3-2
- Do not hang if SSH AuthorizedKeysCommand output is too large (#1496467)
- Do not segfault pam_ssh_agent_auth if keyfile is missing (#1494268)
- Do not segfault in audit code during cleanup (#1488083)
- Add WinSCP 5.10+ compatibility (#1496808)
- Clatch between ClientAlive and rekeying timeouts (#1480510)
- Exclude dsa and ed25519 from default proposed keys in FIPS mode (#1456853)
- Add enablement for openssl-ibmca and openssl-ibmpkcs11 (#1478035)
2017-11-03 - Nikos Mavrogiannopoulos <nmav@redhat.com> - 7.4p1-14 + 0.10.3-2
- Rebuilt for RHEL-7.5
2017-09-13 - Jakub Jelen <jjelen@redhat.com> - 7.4p1-13 + 0.10.3-1
- Revert default of GSSAPIStrictAcceptorCheck=no back to yes (#1488982)
2017-08-07 - Jakub Jelen <jjelen@redhat.com> - 7.4p1-12 + 0.10.3-1
- Revert upstream change to UseDNS=no back to yes (#1478175)
2017-05-22 - Jakub Jelen <jjelen@redhat.com> - 7.4p1-11 + 0.10.3-1
- Compiler warnings (#1341754)
2017-05-22 - Jakub Jelen <jjelen@redhat.com> - 7.4p1-10 + 0.10.3-1
- Add missing messages in FIPS mode (#1341754)
2017-05-19 - Jakub Jelen <jjelen@redhat.com> - 7.4p1-9 + 0.10.3-1
- Allow harmless syscalls for s390 crypto modules (#1451809)
2017-05-15 - Jakub Jelen <jjelen@redhat.com> - 7.4p1-8 + 0.10.3-1
- Fix multilib issue in documentation (#1450361)
2017-05-04 - Jakub Jelen <jjelen@redhat.com> - 7.4p1-6 + 0.10.3-1
- ControlPath too long should not be a fatal error (#1447561)

See Also

Package Description
pango-1.42.4-1.el7.i686.rpm System for layout and rendering of internationalized text
pango-1.42.4-1.el7.x86_64.rpm System for layout and rendering of internationalized text
pango-devel-1.42.4-1.el7.i686.rpm Development files for pango
pango-devel-1.42.4-1.el7.x86_64.rpm Development files for pango
pango-tests-1.42.4-1.el7.x86_64.rpm Tests for the pango package
pangomm-2.40.1-1.el7.i686.rpm C++ interface for Pango
pangomm-2.40.1-1.el7.x86_64.rpm C++ interface for Pango
pangomm-devel-2.40.1-1.el7.i686.rpm Headers for developing programs that will use pangomm
pangomm-devel-2.40.1-1.el7.x86_64.rpm Headers for developing programs that will use pangomm
pangomm-doc-2.40.1-1.el7.noarch.rpm Developer's documentation for the pangomm library
papi-5.2.0-26.el7.i686.rpm Performance Application Programming Interface
papi-5.2.0-26.el7.x86_64.rpm Performance Application Programming Interface
papi-devel-5.2.0-26.el7.i686.rpm Header files for the compiling programs with PAPI
papi-devel-5.2.0-26.el7.x86_64.rpm Header files for the compiling programs with PAPI
papi-static-5.2.0-26.el7.i686.rpm Static libraries for the compiling programs with PAPI
Advertisement
Advertisement